Bug 962190 - Review Request: kgb-bot - IRC Collaboration Bot
Review Request: kgb-bot - IRC Collaboration Bot
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 08:37 EDT by Andrea Veri
Modified: 2014-03-16 23:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
review created using fedora-review tool (7.79 KB, text/plain)
2013-05-13 09:49 EDT, Mario Santagiuliana
no flags Details

  None (edit)
Description Andrea Veri 2013-05-12 08:37:51 EDT
Spec URL: http://averi.fedorapeople.org/RPMs/kgb-bot/kgb-bot.spec
SRPM URL: http://averi.fedorapeople.org/RPMs/kgb-bot/kgb-bot-1.26-1.fc18.src.rpm
Description: KGB is an IRC bot, helping people work together by notifying an IRC channel when a commit occurs. It supports multiple repositories/IRC channels and is fully configurable.
Fedora Account System Username: averi

For building this package you actually need perl-File-Touch and perl-Schedule-RateLimiter which are both on the fedora-testing-updates repository. You can enable them by tweaking your /etc/mock/fedora-18-x86_64 configuration file.
Comment 1 Andrea Veri 2013-05-12 09:14:17 EDT
The rpmlint error: "kgb-bot.noarch: E: non-readable /etc/kgb-bot/kgb.conf 0640" is expected, the kgb-bot daemon wants its conf file to be non-world-readable.
Comment 2 Mario Santagiuliana 2013-05-12 13:22:06 EDT
I don't see the license file in the source package...Could the upstream provide it?
Comment 3 Andrea Veri 2013-05-12 13:28:23 EDT
I'll poke them for doing so, for now we can just include a copy of the GPLv2 as SOURCE3 and have it installed on the package and on the subpackages.
Comment 4 Mario Santagiuliana 2013-05-12 13:45:20 EDT
The license file can't be provide as SOURCE3, it should be include by the upstream.

Could you use the macro (es. %{name}) when it is possible in the spec file?

Then the rpm package should be ok to be approve.
Comment 5 Andrea Veri 2013-05-12 13:53:32 EDT
Ah, correct, that's actually true. I'll poke upstream to have it included for the next upstream release. I've moved the 'kgb-bot' entries into %{name} as requested. The URL is the same.
Comment 6 Mario Santagiuliana 2013-05-12 17:39:11 EDT
I am waiting new package with the license provide by upstream. Then I will do an official review!

Thank you!
Comment 7 Andrea Veri 2013-05-12 17:41:11 EDT
OK, upstream has included a LICENSE file, added that. We should be good to go now. Same URL as before.
Comment 8 Mario Santagiuliana 2013-05-12 17:48:11 EDT
Could you fix name of package following the naming guidelines for snapshots package?
http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

Thank you!
Comment 10 Andrea Veri 2013-05-12 18:10:08 EDT
Even better: year-month-day,

SRPM: kgb-bot-1.26-20130512svn880.fc18.src.rpm

SPEC at the same URL.
Comment 11 Mario Santagiuliana 2013-05-13 09:02:42 EDT
kgb-client subpackage doesn't exist. On line 82 of your spec file you have:

Requires: kgb-client

Maybe you want to use kgb-bot-client, that exist.
Comment 13 Mario Santagiuliana 2013-05-13 09:49:52 EDT
Created attachment 747239 [details]
review created using fedora-review tool

For me the package is APPROVED.

Just fix this before to submit it:

[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in kgb-bot-
     client , kgb-bot-client-git

On line 82 of spec file write:
Requires: %{name}-client = %{version}-%{release}

In attachment my review.txt created with the help of fedora-review tool.
Comment 14 Andrea Veri 2013-05-13 09:53:07 EDT
New Package SCM Request
=======================
Package Name: kgb-bot
Short Description: IRC Collaboration Bot
Owners: averi
Branches: f18 f19
Comment 15 Gwyn Ciesla 2013-05-13 09:55:42 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2013-05-13 15:38:44 EDT
kgb-bot-1.26-20130512svn880.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kgb-bot-1.26-20130512svn880.fc19
Comment 17 Fedora Update System 2013-05-13 15:38:52 EDT
kgb-bot-1.26-20130512svn880.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kgb-bot-1.26-20130512svn880.fc18
Comment 18 Fedora Update System 2013-05-13 23:44:13 EDT
kgb-bot-1.26-20130512svn880.fc19 has been pushed to the Fedora 19 testing repository.
Comment 19 Fedora Update System 2013-05-16 19:22:11 EDT
kgb-bot-1.26-20130516svn880.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kgb-bot-1.26-20130516svn880.fc18
Comment 20 Fedora Update System 2013-05-16 19:22:20 EDT
kgb-bot-1.26-20130516svn880.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kgb-bot-1.26-20130516svn880.fc19
Comment 21 Fedora Update System 2013-05-23 15:16:32 EDT
kgb-bot-1.26-20130523svn880.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kgb-bot-1.26-20130523svn880.fc19
Comment 22 Fedora Update System 2013-05-23 15:16:42 EDT
kgb-bot-1.26-20130523svn880.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kgb-bot-1.26-20130523svn880.fc18
Comment 23 Fedora Update System 2013-06-02 23:09:40 EDT
kgb-bot-1.26-20130523svn880.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-06-02 23:42:05 EDT
kgb-bot-1.26-20130523svn880.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.